import * as React from "react";
import {observer} from "mobx-react";
import {NewEntity} from "../../cuba/entities/testreactui_NewEntity";
import {Card, Icon} from "antd";
import {collection, EntityProperty} from "@cuba-platform/react";

@observer
export class NewEntityCards extends React.Component {

  dataCollection = collection<NewEntity>(NewEntity.NAME, {view: '_local', sort: '-updateTs'});
  fields = ['field','date',];

  render() {
  const {status, items} = this.dataCollection;

    if (status === "LOADING") {
      return <Icon type='spin'/>
    }

    return (
      <div className='page-layout-narrow'>
        {items.map(e =>
          <Card title={e._instanceName}
                key={e.id}
                style={{marginBottom: '12px'}}>
            {this.fields.map(p =>
              <EntityProperty entityName={NewEntity.NAME}
                              propertyName={p}
                              value={e[p]}
                              key={p}/>
            )}
          </Card>
        )}
      </div>
    )
  }
}